Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Proposals » OSGi Enterprise Tools » Install New Software shows error dialog when clicked(Error message is: Cannot complete the request. This installation has not been configured properly for software updates.)
Install New Software shows error dialog when clicked [message #1701886] Thu, 16 July 2015 12:51
Dan Connell is currently offline Dan ConnellFriend
Messages: 5
Registered: October 2013
Junior Member
When I click on Install New Software under the Help menu, I received the following error message:

Cannot complete the request. This installation has not been configured properly for software updates. See error log for details.

When I check the .log file in the workspace and I have the following error messages that are present:

!ENTRY org.eclipse.equinox.p2.ui.sdk 2 0 2015-07-16 08:23:32.030
!MESSAGE Could not locate the running profile instance. The eclipse.p2.data.area and eclipse.p2.profile properties may not be set correctly in this application's config.ini file.


If I run a -clean the dialog works fine with no error message.

Does anyone have a clue why the config.ini file is not being loaded properly ? I checked the p2 properties inside them and both are set as I would expect.

This is for a RAD beta using Eclipse 4.4.2.

[Updated on: Thu, 16 July 2015 12:57]

Report message to a moderator

Previous Topic:Starting org.eclipse.wst.jsdt.ui plug in
Next Topic:OSGI Services- java.util.ServiceLoader problem
Goto Forum:
  


Current Time: Thu Sep 20 16:54:43 GMT 2018

Powered by FUDForum. Page generated in 0.02584 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top